<mat-form-field [class]="class + ' search-select'" [floatLabel]="appService.getViewMode() || showLabel ? '' : 'never'">
    <mat-label *ngIf="appService.getViewMode() || showLabel">{{label}}</mat-label>
    <mat-select [id]="id" [formControl]="formControlSelect" [placeholder]="placeholderLabel" #test
        (selectionChange)="launchEvent($event)" [required]="required" [multiple]="multiple">
        <mat-select-trigger *ngIf="multiple">
            {{formControlSelect.value.length > 0 ? getFirstDataLabel() : ''}}
            <span *ngIf="formControlSelect.value?.length > 1" class="multipleLabels">
              (+{{formControlSelect.value.length - 1}} {{lang.others}})
            </span>
          </mat-select-trigger>
        <input *ngIf="datas.length > 5" matInput class="mat-select-search-input mat-select-search-hidden" />

        <div *ngIf="datas.length > 5" class="mat-select-search-inner"
            [ngClass]="{'mat-select-search-inner-multiple': matSelect.multiple}">
            <input id="searchSelectInput" [formControl]="formControlSearch" class="mat-select-search-input"
                #searchSelectInput (keydown)="_handleKeydown($event)" (input)="onInputChange($event.target.value)"
                (blur)="onBlur($event.target.value)" [placeholder]="lang.filterBy" />
            <button mat-button *ngIf="formControlSearch.value" mat-icon-button aria-label="Clear" (click)="_reset(true)"
                class="mat-select-search-clear">
                <mat-icon class="fa fa-times"></mat-icon>
            </button>
            <button color="primary" mat-icon-button *ngIf="functions.empty(formControlSearch.value) && multiple" [disabled]="formControlSelect.value.length === 0" [title]="lang.displaySelectedValues" (click)="formControlSearch.setValue('__SELECTED')" class="mat-select-search-clear">
                <mat-icon class="fas fa-check-double"></mat-icon>
            </button>
        </div>

        <div *ngIf="value && _options?.length === 0 && datas.length > 5" class="mat-select-search-no-entries-found">
            {{lang.noResult}}
        </div>
        <mat-option *ngIf="showResetOption" (onSelectionChange)="selectChange($event)" [value]="emptyData()">({{lang.emptyValue}})</mat-option>
        <mat-option *ngFor="let value of filteredDatas | async" (onSelectionChange)="selectChange($event)" [value]="returnValue === 'id' ? value.id : value"
            [title]="value.title !== undefined ? value.title : value.label" [disabled]="value.disabled"
            [class.opt-group]="value.isTitle" [class.fixPos]="value.isTitle && datas.length > 5" [style.color]="value.color">
            <span [innerHTML]="value.label"></span>
        </mat-option>
    </mat-select>
    <mat-error *ngIf="formControlSelect.status!=='VALID' && formControlSelect.touched && !hideErrorDesc">
        {{getErrorMsg(formControlSelect.errors)}}</mat-error>
    <mat-icon *ngIf="suffixIcon !== null" style="height: auto;" matSuffix [style.color]="suffixIcon.color"
        class="fas fa-circle selectSuffixIcon" [title]="suffixIcon.title !== undefined ? suffixIcon.title : ''">
    </mat-icon>
</mat-form-field>
